pychecker_0.8.19-14_all.deb


Advertisement

Description

pychecker - tool to find common bugs in Python source code

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename pychecker_0.8.19-14_all.deb
Package name pychecker
Package version 0.8.19
Package release 14
Package architecture all
Package type deb
Category universe/devel
Homepage http://pychecker.sourceforge.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 90.52 KB
Installed size 441.00 KB
PyChecker is a tool for finding common bugs in Python source code.
It finds problems that are typically caught by a compiler for less
dynamic languages, like C and C++. Because of the dynamic nature of Python,
some warnings may be incorrect; however, spurious warnings should be
fairly infrequent.

Alternatives

Package Version Architecture Repository
pychecker_0.8.19-14_all.deb 0.8.19 all Ubuntu Universe
pychecker - - -

Requires

Name Value
python << 2.8
python >= 2.7
python:any >= 2.6.6-7~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package pychecker_0.8.19-14_all.deb
Source Package pychecker

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pychecker deb package:
    # sudo apt-get install pychecker

Files

Path
/usr/bin/pychecker
/usr/lib/python2.7/dist-packages/pychecker-0.8.19.egg-info
/usr/lib/python2.7/dist-packages/pychecker/CodeChecks.py
/usr/lib/python2.7/dist-packages/pychecker/Config.py
/usr/lib/python2.7/dist-packages/pychecker/OP.py
/usr/lib/python2.7/dist-packages/pychecker/OptionTypes.py
/usr/lib/python2.7/dist-packages/pychecker/Stack.py
/usr/lib/python2.7/dist-packages/pychecker/Warning.py
/usr/lib/python2.7/dist-packages/pychecker/__init__.py
/usr/lib/python2.7/dist-packages/pychecker/checker.py
/usr/lib/python2.7/dist-packages/pychecker/function.py
/usr/lib/python2.7/dist-packages/pychecker/msgs.py
/usr/lib/python2.7/dist-packages/pychecker/options.py
/usr/lib/python2.7/dist-packages/pychecker/pcmodules.py
/usr/lib/python2.7/dist-packages/pychecker/printer.py
/usr/lib/python2.7/dist-packages/pychecker/python.py
/usr/lib/python2.7/dist-packages/pychecker/utils.py
/usr/lib/python2.7/dist-packages/pychecker/warn.py
/usr/lib/python2.7/dist-packages/pychecker2/Check.py
/usr/lib/python2.7/dist-packages/pychecker2/ClassChecks.py
/usr/lib/python2.7/dist-packages/pychecker2/ConditionalChecks.py
/usr/lib/python2.7/dist-packages/pychecker2/File.py
/usr/lib/python2.7/dist-packages/pychecker2/FormatStringChecks.py
/usr/lib/python2.7/dist-packages/pychecker2/ImportChecks.py
/usr/lib/python2.7/dist-packages/pychecker2/OpChecks.py
/usr/lib/python2.7/dist-packages/pychecker2/Options.py
/usr/lib/python2.7/dist-packages/pychecker2/ParseChecks.py
/usr/lib/python2.7/dist-packages/pychecker2/ReachableChecks.py
/usr/lib/python2.7/dist-packages/pychecker2/ReturnChecks.py
/usr/lib/python2.7/dist-packages/pychecker2/ScopeChecks.py
/usr/lib/python2.7/dist-packages/pychecker2/TestSupport.py
/usr/lib/python2.7/dist-packages/pychecker2/VariableChecks.py
/usr/lib/python2.7/dist-packages/pychecker2/Warning.py
/usr/lib/python2.7/dist-packages/pychecker2/__init__.py
/usr/lib/python2.7/dist-packages/pychecker2/main.py
/usr/lib/python2.7/dist-packages/pychecker2/symbols.py
/usr/lib/python2.7/dist-packages/pychecker2/test.py
/usr/lib/python2.7/dist-packages/pychecker2/util.py
/usr/share/doc/pychecker/KNOWN_BUGS
/usr/share/doc/pychecker/MAINTAINERS
/usr/share/doc/pychecker/NEWS.Debian.gz
/usr/share/doc/pychecker/README.Debian
/usr/share/doc/pychecker/README.gz
/usr/share/doc/pychecker/TODO.gz
/usr/share/doc/pychecker/changelog.Debian.gz
/usr/share/doc/pychecker/copyright
/usr/share/doc/pychecker/examples/pycheckrc.gz
/usr/share/man/man1/pychecker.1.gz
/usr/share/pyshared/pychecker-0.8.19.egg-info
/usr/share/pyshared/pychecker/CodeChecks.py
/usr/share/pyshared/pychecker/Config.py
/usr/share/pyshared/pychecker/OP.py
/usr/share/pyshared/pychecker/OptionTypes.py
/usr/share/pyshared/pychecker/Stack.py
/usr/share/pyshared/pychecker/Warning.py
/usr/share/pyshared/pychecker/__init__.py
/usr/share/pyshared/pychecker/checker.py
/usr/share/pyshared/pychecker/function.py
/usr/share/pyshared/pychecker/msgs.py
/usr/share/pyshared/pychecker/options.py
/usr/share/pyshared/pychecker/pcmodules.py
/usr/share/pyshared/pychecker/printer.py
/usr/share/pyshared/pychecker/python.py
/usr/share/pyshared/pychecker/utils.py
/usr/share/pyshared/pychecker/warn.py
/usr/share/pyshared/pychecker2/Check.py
/usr/share/pyshared/pychecker2/ClassChecks.py
/usr/share/pyshared/pychecker2/ConditionalChecks.py
/usr/share/pyshared/pychecker2/File.py
/usr/share/pyshared/pychecker2/FormatStringChecks.py
/usr/share/pyshared/pychecker2/ImportChecks.py
/usr/share/pyshared/pychecker2/OpChecks.py
/usr/share/pyshared/pychecker2/Options.py
/usr/share/pyshared/pychecker2/ParseChecks.py
/usr/share/pyshared/pychecker2/ReachableChecks.py
/usr/share/pyshared/pychecker2/ReturnChecks.py
/usr/share/pyshared/pychecker2/ScopeChecks.py
/usr/share/pyshared/pychecker2/TestSupport.py
/usr/share/pyshared/pychecker2/VariableChecks.py
/usr/share/pyshared/pychecker2/Warning.py
/usr/share/pyshared/pychecker2/__init__.py
/usr/share/pyshared/pychecker2/main.py
/usr/share/pyshared/pychecker2/symbols.py
/usr/share/pyshared/pychecker2/test.py
/usr/share/pyshared/pychecker2/util.py

Changelog

2017-11-12 - Kenneth J. Pronovici <pronovic@debian.org>
pychecker (0.8.19-14) unstable; urgency=medium
* Bump standards version to 4.1.1.0 (no packaging changes).
* Start dealing with the fact that Pychecker has no support for Python 3.
- Add NEWS.Debian to nudge users toward discontinuing use of Pychecker
2017-07-02 - Kenneth J. Pronovici <pronovic@debian.org>
pychecker (0.8.19-13) unstable; urgency=medium
* Ignore the Lintian testsuite-autopkgtest-missing warning.
* Bump standards version to 4.0.0.0 (no packaging changes).
2016-06-20 - Kenneth J. Pronovici <pronovic@debian.org>
pychecker (0.8.19-12) unstable; urgency=medium
* Bump standards version to 3.9.8.0 (no packaging changes).
* Update debian/control to make Vcs-Browser use https, to quiet Lintian.
* Add Lintian override for the Vcs-Svn field, since it can't be secure.
2015-08-05 - Kenneth J. Pronovici <pronovic@debian.org>
pychecker (0.8.19-11) unstable; urgency=medium
* Bump standards version to 3.9.6.1 (no packaging changes).
* Fix all patches to eliminate the unnecessary leading # character.
2014-10-03 - Kenneth J. Pronovici <pronovic@debian.org>
pychecker (0.8.19-10) unstable; urgency=medium
* Fix Lintian bug in debian/copyright: empty-short-license-in-dep5-copyright.
* Bump standards version to 3.9.6.0 (no packaging changes).
2014-02-23 - Kenneth J. Pronovici <pronovic@debian.org>
pychecker (0.8.19-9) unstable; urgency=low
* Bump standards version to 3.9.5.0 (no packaging changes).
2013-05-10 - Kenneth J. Pronovici <pronovic@debian.org>
pychecker (0.8.19-8) unstable; urgency=low
* Accept and upload Jakub's changes for jessie.
* Use canonical URIs for Vcs-* fields. [ Jakub Wilk ]
2013-04-24 - Kenneth J. Pronovici <pronovic@debian.org>
pychecker (0.8.19-7) unstable; urgency=low
* Convert debian/rules to debhelper7, overriding just a few standard targets.
* Update debian/README.debian to use dh_python2 rather than python-support.
* Modify debian/pychecker.dirs to properly use usr/share/pyshared.
* Modify debian/pychecker.install to install debian/wrapper.
* Update debian/copyright to list 2013 as the copyright date on my changes.
2012-12-31 - Kenneth J. Pronovici <pronovic@debian.org>
pychecker (0.8.19-6) unstable; urgency=low
* Bump standards version to 3.9.4.0; no packaging changes.
* Make minor tweaks in debian/rules for consistency.
- Add new .PHONY targets for all rules that don't create files
- Change binary to depend on both binary-arch and binary-indep
- Change binary-arch to depend on install, not build and install
2012-03-12 - Kenneth J. Pronovici <pronovic@debian.org>
pychecker (0.8.19-5) unstable; urgency=low
* Update to machine-readable debian/copyright file format, version 1.0.
* Add year 2012 to list of covered years for debian/* copyright statement.
* Add Sandro to copyright statement for debian/* files.
* Bump standards version to 3.9.3.0; no packaging changes.
* Move to debhelper (>= 9) and debian/compat=9, which is the new standard.

See Also

Package Description
pychess_0.12.2-1_all.deb Chess graphical user interface for several chess engines
pycmail_0.1.6_all.deb mail sorter written in Python
pycode-browser_1.02+git20171115-1_all.deb environment to teach with Python code snippets
pycodestyle_2.3.1-2_all.deb Python style guide checker (formerly called pep8)
pyconfigure_0.2.3-1_all.deb automatic configure script builder for Python software
pycorrfit_1.0.1+dfsg-2_i386.deb tool for fitting correlation curves on a logarithmic plot
pydb_1.26-2_all.deb An enhanced Python command-line debugger
pydf_12_all.deb colourised df(1)-clone
pydocstyle_2.0.0-1_all.deb Python docstring style checker (PEP-257 conventions)
pydxcluster_2.21-1_i386.deb HAM Dx Cluster for Linux users
pyecm_2.0.2-3_all.deb integer factorization with the Elliptic Curve Method (ECM)
pyew_2.0-4_all.deb Python tool like radare or *iew for malware analysis
pyfai_0.15.0+dfsg1-1_all.deb Fast Azimuthal Integration scripts
pyfits-utils_3.4-4ubuntu1_all.deb transitional package for astropy-utils
pyflakes3_1.6.0-1_all.deb passive checker of Python 3 programs
Advertisement
Advertisement